Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister
Class PersisterFactory

    java.lang.Object
      org.hibernate.persister.PersisterFactory

    public final class PersisterFactory

extends Object

Factory for `EntityPersister` and `CollectionPersister` instances

Author:
  Gavin King

Method Summary
`static EntityPersister` | `createClassPersister(PersistentClass model, CacheConcurrencyStrategy cache, SessionFactoryImplementor factory, Mapping cfg)`
`static CollectionPersister` | `createCollectionPersister(Configuration cfg, Collection model, CacheConcurrencyStrategy cache, SessionFactoryImplementor factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createClassPersister

    public static EntityPersister createClassPersister(PersistentClass model,
                                                       CacheConcurrencyStrategy cache,
                                                       SessionFactoryImplementor factory,
                                                       Mapping cfg)
                                                throws HibernateException

  Throws:
    `HibernateException`

### createCollectionPersister

    public static CollectionPersister createCollectionPersister(Configuration cfg,
                                                                Collection model,
                                                                CacheConcurrencyStrategy cache,
                                                                SessionFactoryImplementor factory)
                                                         throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD